Bug 239233 - Review Request: compat-vips - compatibility version of VIPS
Summary: Review Request: compat-vips - compatibility version of VIPS
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-06 16:54 UTC by Adam Goode
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-28 02:09:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Goode 2007-05-06 16:54:32 UTC
Spec URL: http://www.spicenitz.org/fedora/compat-vips.spec
SRPM URL: http://www.spicenitz.org/fedora/compat-vips-7.10.21-1.fc7.src.rpm
Description: Compatibility version of VIPS. New upstream release of VIPS has new so version.

Comment 1 Jason Tibbitts 2007-06-28 02:05:55 UTC
Is a compat-vips package really necessary.  Every package I see that requires
either of the libraries provided by the vips package seems to have exactly the
same version string:

vips-devel-0:7.12.0-1.fc8.i386
vips-tools-0:7.12.0-1.fc8.i386
vips-python-0:7.12.0-1.fc8.i386
nip2-0:7.12.0-1.fc8.i386
vips-0:7.12.0-1.fc8.i386

BTW, I note the following from rpmlint:
W: compat-vips unused-direct-shlib-dependency /usr/lib64/libvips.so.10.8.5
/usr/lib64/libWand.so.10
W: compat-vips unused-direct-shlib-dependency /usr/lib64/libvips.so.10.8.5
/lib64/libz.so.1
W: compat-vips unused-direct-shlib-dependency /usr/lib64/libvips.so.10.8.5
/lib64/librt.so.1
W: compat-vips unused-direct-shlib-dependency /usr/lib64/libvips.so.10.8.5
/lib64/libdl.so.2
These are generally just inefficiencies, but libWand is 800K, which is a bit
large for an unused library dependency.

Comment 2 Adam Goode 2007-06-28 02:09:00 UTC
Ah, ok. Good to know this isn't necessary. I was thinking this package was only
needed for F7, but with F8 coming out so soon, I'll drop it.

Also, I'll look into the dependences. I guess it's just libtool being overzealous?


Note You need to log in before you can comment on or make changes to this bug.